%define anolis_release 1

%global oname configshell-fb

Name:           python-configshell
License:        ASL 2.0
Summary:        A framework to implement simple but nice CLIs
Epoch:          1
Version:        1.1.29
Release:        %{anolis_release}%{?dist}
URL:            https://github.com/open-iscsi/configshell-fb
Source:         %{url}/archive/v%{version}/%{oname}-%{version}.tar.gz
Patch0:         0001-replace-getargspec-with-getfullargspec.patch
BuildArch:      noarch

BuildRequires:  python3-devel python3-setuptools

%global _description\
A framework to implement simple but nice configuration-oriented\
command-line interfaces.

%description %_description

%package -n python3-configshell
Summary:        A framework to implement simple but nice CLIs
Requires:       python3-pyparsing python3-urwid
%{?python_provide:%python_provide python3-configshell}

%description -n python3-configshell %_description

%package -n python3-configshell-doc
Summary:        Doc files for %{name}
Requires:       python3-configshell = %{EVR}
BuildArch:      noarch

%description -n python3-configshell-doc
Doc files for python3-configshell.

%prep
%autosetup -p1 -n %{oname}-%{version}

sed -r -i "s/'pyparsing.*'/'pyparsing'/" setup.py

%build
%py3_build

%install
%py3_install

%files -n python3-configshell
%{python3_sitelib}/configshell*
%license COPYING

%files -n python3-configshell-doc
%doc README.md

%changelog
* Fri Apr 07 2023 Chunmei Xu <xuchunmei@linux.aliabba.com> - 1:1.1.29-1
- init from upstream
